%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

# For EPEL5 make a python26 package.
%if 0%{?rhel} == 5
%global altpython python26
%global __altpython %{_bindir}/python2.6
# Disable byte compiling. Do ourselves later.
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g') 
%endif

%if 0%{?fedora} >= 13
%global altpython python3
%global __altpython %{_bindir}/python3
%endif 

%if %{?altpython:1}%{!?altpython:0}
%{!?altpydir: %global altpydir %{_builddir}/%{altpython}-%{name}-%{version}-%{release}}
%{!?altpython_sitearch: %global altpython_sitearch %(%{__altpython} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:          python-pbs
Version:       4.3.3
Release:       3%{?dist}
Summary:       PBS/Torque python module

Group:         Development/Libraries
License:       OpenPBS
URL:           https://subtrac.sara.nl/oss/pbs_python
Source:        ftp://ftp.sara.nl/pub/outgoing/pbs_python-%{version}.tar.gz 
Patch0:        pbs_python-4.3.3-space-tab.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} >= 14 || 0%{?rhel} >= 6
BuildRequires: torque-devel
%else
BuildRequires: libtorque-devel
%endif

BuildRequires: python-devel 
BuildRequires: autoconf

# We don't want to RPM provide pbs.so
%{?filter_provides_in: %filter_provides_in .*/pbs/.*\.so}
%{?filter_setup}

%if 0%{?rhel} ==  5
Requires:      python(abi) = 2.4
%endif

%description
The python-pbs package provides pbs_python and is a wrapper class for 
the  Torque C library.  With this package you now can write 
utilities/extensions in Python instead of C. 

%if %{?altpython:1}%{!?altpython:0}
%package -n %{altpython}-pbs
Summary:        PBS/Torque python module
Group:          Development/Libraries

%if %{?altpython:1}%{!?altpython:0}
%if 0%{?rhel} == 5
Requires:       python(abi) = 2.6
%endif
# Required for 2to3
%if 0%{?fedora} >= 13
BuildRequires:  python-tools
%endif
BuildRequires:  %{altpython}-devel
%endif #end of altpython.

%description -n %{altpython}-pbs
The %{altpython}-pbs package provides pbs_python and is a 
wrapper class for the  Torque C library.  With this package 
you now can write utilities/extensions in Python instead of C. 

This package contains the pbs python module for %{altpython}
%endif #end of altpython.

%prep
%setup -q -n pbs_python-%{version}
%patch0 -p1

chmod a-x examples/*

%if %{?altpython:1}%{!?altpython:0}
rm -rf   %{altpydir}
mkdir -p %{altpydir}
cp -a *  %{altpydir}
pushd %{altpydir}
%if 0%{?fedora} >= 13
2to3 --write --nobackups .
%endif
popd
%endif


%build
%configure
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if %{?altpython:1}%{!?altpython:0}
pushd %{altpydir}
%configure --with-python=%{__altpython}
%if 0%{?fedora} >= 13
2to3 --write --nobackups setup.py
%endif

CFLAGS="$RPM_OPT_FLAGS" %{__altpython} setup.py build
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT%{python_sitearch}/pbs/_pbs.so

%if %{?altpython:1}%{!?altpython:0}
pushd %{altpydir}
%{__altpython} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%if 0%{?fedora} < 5 && 0%{?rhel} < 6
%{__python} -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "%{python_sitearch}", 1)' > /dev/null
%{__python} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "%{python_sitearch}", 1)' > /dev/null
%if %{?altpython:1}%{!?altpython:0}
%{__altpython} -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT%{altpython_sitearch}"'", 10, "%{altpython_sitearch}", 1)' > /dev/null
%{__altpython} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT%{altpython_sitearch}"'", 10, "%{altpython_sitearch}", 1)' > /dev/null
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README examples LICENSE.openpbs CHANGES
%{python_sitearch}/pbs.pth
%{python_sitearch}/pbs

%if %{?altpython:1}%{!?altpython:0}
%files -n %{altpython}-pbs
%defattr(-,root,root,-)
%doc README examples LICENSE.openpbs CHANGES
%{altpython_sitearch}/pbs.pth
%{altpython_sitearch}/pbs
%endif

%changelog
* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 4.3.3-3
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 13 2012 Steve Traylen <steve.traylen@cern.ch> 4.3.3-1
- Update to 4.3.3
- Enable python3 support,
  https://subtrac.sara.nl/oss/pbs_python/ticket/24
- Drop workaround for rhbz#657027 since fixed upstream for some time.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-6
- With #657027 fixed use torques pbs-config to find -ltorque.

* Mon Nov 29 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-5
- Bump release for first official Fedora release.

* Sat Nov 27 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-4
- Finish renaming package to python-pbs.  rhbz#657027
- Add LICENSE.openpbs and CHANGES files to doc. rhbz#657027
- Consistantly group altpython package in same group.

* Wed Nov 24 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-3
- Rename package to python-pbs. rhbz#657027

* Wed Nov 24 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-2
- Add bug reference in comment for python3 support.
  No actual change in package.

* Tue Nov 23 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-1
- New upstream 4.3.0-1

* Wed Sep 8 2010 Steve Traylen <steve.traylen@cern.ch> 4.1.0-2
- First version for Fedora.
- Add python26 and python3 support.

* Tue Mar 24 2010 Ramon Bastiaans <ramon.bastiaans@sara.nl>
- Updates for new version
* Tue Oct 06 2009 Ramon Bastiaans <ramon.bastiaans@sara.nl>
- Fixed tmppath, %%setup sourcedir
* Tue Mar 24 2009 David Chin <chindw@wfu.edu>
- Fedora-ize
* Sun Mar  9 2008 Michael Sternberg <sternberg@anl.gov>
- libdir and python defines
* Wed Nov 23 2005 Ramon Bastiaans <bastiaans@sara.nl>
- Fixed missing prep setup and added configure
* Tue Nov 22 2005 Martin Pels <pels@sara.nl>
- Changed default directory permissions
* Tue Nov 01 2005 Martin Pels <pels@sara.nl> 
- Initial version

